escript::DataException Class Reference

`#include <DataException.h>`

Inheritance diagram for escript::DataException:

## Public Member Functions

| DataException (const std::string &str)
virtual | ~DataException () throw ()
Public Member Functions inherited from escript::EsysException
| EsysException (const std::string &message)
| Constructor which creates an Exception with the given message. More...
virtual | ~EsysException () throw ()
| Destructor. More...
virtual const char * | what () const throw ()
| Returns a description of the exception. More...

## Constructor & Destructor Documentation

## DataException()

escript::DataException::DataException | ( | const std::string & | str | ) |

inline

## ~DataException()

virtual escript::DataException::~DataException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

The documentation for this class was generated from the following file:

- DataException.h